Bank Name Enquiry
curl --request POST \
--url https://api-production.fossapay.com/api/v1/transfers/fiat/bank-name-enquiry \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"bankCode": "<string>",
"accountNumber": "<string>"
}
'import requests
url = "https://api-production.fossapay.com/api/v1/transfers/fiat/bank-name-enquiry"
payload = {
"bankCode": "<string>",
"accountNumber": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bankCode: '<string>', accountNumber: '<string>'})
};
fetch('https://api-production.fossapay.com/api/v1/transfers/fiat/bank-name-enquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"statusCode": 201,
"message": "Bank name enquiry completed successfully",
"data": {
"sessionID": "000003677112224942366991412665",
"destinationInstitutionCode": "00014",
"channelCode": 2,
"accountNumber": "1232129310",
"accountName": "JANE ELIM DOE",
"kycLevel": "3",
"responseCode": "00"
}
}
Fiat Transfers
Bank Name Enquiry
Perform bank account name enquiry
POST
/
api
/
v1
/
transfers
/
fiat
/
bank-name-enquiry
Bank Name Enquiry
Request
API Key for authentication
The bank code for the account enquiry
The account number to enquire about
Request Example
curl -X POST https://api-production.fossapay.com/api/v1/transfers/fiat/bank-name-enquiry \
-H "x-api-key: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"bankCode": "00014",
"accountNumber": "1232129310"
}'
const response = await fetch('https://api-production.fossapay.com/api/v1/transfers/fiat/bank-name-enquiry', {
method: 'POST',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bankCode: '00014',
accountNumber: '1232129310'
})
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const enquiry = await response.json();
Response
{
"status": true,
"statusCode": 201,
"message": "Bank name enquiry completed successfully",
"data": {
"sessionID": "000003677112224942366991412665",
"destinationInstitutionCode": "00014",
"channelCode": 2,
"accountNumber": "1232129310",
"accountName": "JANE ELIM DOE",
"kycLevel": "3",
"responseCode": "00"
}
}
{
"status": false,
"statusCode": 400,
"message": "Bad request",
"error": "Invalid bank code or account number"
}
{
"status": false,
"statusCode": 500,
"message": "Internal server error",
"error": "Bank name enquiry failed"
}
⌘I

